    /** 
     * getColorDict() 
     * get color base on name, add to nameColor if name not exist. 
     * Use for event background color of FullCalendar 
     * @param name string of color name
     * @param nameColor dictionary like object for name and color
    */
    export function getBgColorDict(name:string,nameColor:{ [index: string]:string}){
        const eventBg = ["#67a1ff4a","#D2B4DE","#D5DBDB","#a2d9ce8f","#FAD7A0 ","#E6B0AA",]
        if(!nameColor[name]){
            const len =  Object.keys(nameColor).length
            nameColor[name]=len>eventBg.length?eventBg[0]:eventBg[len]
        }
        return nameColor[name]
    }